import { LimitOrder } from "./order";
import { BigNumber, ethers } from 'ethers';
export declare class FillLimitOrder {
    readonly order: LimitOrder;
    readonly path: string[];
    readonly amountExternal: BigNumber;
    readonly amountToFill: BigNumber;
    readonly limitOrderReceiver: string;
    readonly to: string;
    readonly tokenIn: string;
    readonly tokenOut: string;
    readonly limitOrderReceiverData: string;
    constructor(order: LimitOrder, path: string[], amountExternal: BigNumber, amountToFill: BigNumber, limitOrderReceiver: string, to: string, keepTokenIn?: boolean);
    fillOrderOpen(signer: ethers.Signer, extra: {
        forceExecution?: boolean;
        gasPrice?: BigNumber;
        nonce?: number;
        open?: boolean;
    }): Promise<{
        executed: boolean;
        transactionHash: string;
    }>;
    fillOrder(signer: ethers.Signer, extra: {
        forceExecution?: boolean;
        gasPrice?: BigNumber;
        open?: boolean;
        nonce?: number;
    }): Promise<{
        executed: boolean;
        transactionHash: string;
    }>;
}
